import matplotlib.pyplot as plt
numargs = lognorm.numargs
[ s ] = [0.9,] * numargs
rv = lognorm(s)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = lognorm.cdf(x, s)
h = plt.semilogy(np.abs(x - lognorm.ppf(prb, s)) + 1e-20)

# Random number generation

R = lognorm.rvs(s, size=100)
